This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 864301 - Text Flow Target History contains an entry for the initial empty string
Text Flow Target History contains an entry for the initial empty string
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
development
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.0
Assigned To: Carlos Munoz
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 00:30 EDT by Carlos Munoz
Modified: 2012-11-07 01:18 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20121012-0031)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 01:18:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Carlos Munoz 2012-10-09 00:30:48 EDT
Description of problem:
Text Flow target history contains an empty entry after an initial save.


Version-Release number of selected component (if applicable):
1.8-SNAPSHOT

How reproducible:
Always (found on a po project with plurals)


Steps to Reproduce:
1. Try to edit a NEW text flow on any project.
2. Visit the History screen.
  
Actual results:
There is an entry in the history screen for an initial "empty" state. This entry cannot be copied into the editor.

Expected results:
There should only be a single history entry after the initial save. One for the current latest state.
Comment 1 Carlos Munoz 2012-10-09 23:33:14 EDT
Removed an unnecessary flush, causing the extra history entry.

See:
https://github.com/zanata/zanata/commit/ecab261da1a294e187bcd7442b56542ecc27ae3b
Comment 2 Ding-Yi Chen 2012-10-14 23:41:28 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20121012-0031)
Comment 3 Sean Flanigan 2012-11-07 01:18:38 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.